%define major 1
%define libname %mklibname %{name} 4 %major
%define libdev %mklibname %name -d

%define rel 3

Summary:        Telepathy Logging for Qt
Name:           telepathy-logger-qt
Version: 0.8.0
Release:       %mkrel  %{rel}
Url:           https://projects.kde.org/projects/extragear/network/telepathy/%{name}
Source0:       http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.bz2
License:       GPLv2+
Group:         Networking/Instant messaging 
BuildRequires: pkgconfig(python-2.7)
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(QtGLib-2.0)
BuildRequires: pkgconfig(telepathy-logger-0.2)
BuildRequires: pkgconfig(TelepathyQt4) >= 0.9.1
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: boost-devel
BuildRequires: bison
BuildRequires: cmake
BuildRequires: flex

%description
Telepathy Logging for Qt

#------------------------------------------------------------------------------

%package -n %libname
Summary:    Telepathy Logging for Qt
Group:      System/Libraries

%description -n %libname
Telepathy Logging for Qt

%files -n %libname
%{_libdir}/libtelepathy-logger-qt4.so.%{major}*

#------------------------------------------------------------------------------

%package -n %libdev
Summary:    Header files, libraries and development documentation for %{name}
Group:      Development/C
Requires:   %{libname} = %version
Provides:   %{name}-devel = %version-%release
Provides:   %{name}4-devel = %version-%release

%description -n %libdev
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%files -n %libdev
%{_includedir}/telepathy-logger-0.2/TelepathyLoggerQt4
%{_libdir}/pkgconfig/TelepathyLoggerQt4.pc
%{_libdir}/libtelepathy-logger-qt4.so
%{_libdir}/cmake/TelepathyLoggerQt4/
#------------------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_qt4
%make

%install
%makeinstall_std -C build


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.8.0-3.mga4
+ Revision: 529636
- Mageia 4 Mass Rebuild

* Thu Jul 11 2013 fwang <fwang> 0.8.0-2.mga4
+ Revision: 452702
- rebuild for new boost

* Tue May 28 2013 mikala <mikala> 0.8.0-1.mga4
+ Revision: 429046
- Update tarball to 0.8.0

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407385
- Update tarball to 0.6.0

* Fri Mar 08 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 401737
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399545
- Update tarball to 0.5.3
- Fix files list

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-2.mga3
+ Revision: 384306
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332471
- Update tarball to 0.5.2
- Fix files list

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306885
- Update tarball to 0.5.1

* Wed Aug 29 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285451
- Update tarball to 0.5.0
- Fix BuildRequires

  + neoclust <neoclust>
    - New version 0.4.1

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271946
- imported package telepathy-logger-qt

